import { LocationEditForm } from '@/app/ui/LocationEditForm';
import { YearMonth } from '@/app/lib/db-types';
import { getUserSettings } from '@/app/lib/actions/userSettingsActions';

export default async function LocationAddPage({ yearMonth }: { yearMonth:YearMonth }) {
    const userSettings = await getUserSettings();
    return (<LocationEditForm yearMonth={yearMonth} userSettings={userSettings} />);
}